import { ApiBase } from './ApiBase';
import { DataSetApi } from '../DataSetApi';
import { DataSet } from '../../AdaptableOptions/DataSetOptions';
import { IAdaptable } from '../../AdaptableInterfaces/IAdaptable';
import { DataSetInternalApi } from '../Internal/DataSetInternalApi';
export declare class DataSetApiImpl extends ApiBase implements DataSetApi {
    internalApi: DataSetInternalApi;
    constructor(_adaptable: IAdaptable);
    getDataSets(): DataSet[];
    getCurrentDataSet(): DataSet | undefined;
    getDataSetByName(dataSetName: string): DataSet | undefined;
    setDataSet(dataSetName: string): void;
    clearCurrentDataSet(): void;
    openDataSetSettingsPanel(): void;
}
